TEST(1)

NOM
test - Vérifier le type d'un fichier et comparer des valeurs

SYNOPSIS
test EXPRESSION
test
[ EXPRESSION ]
[ ]"
[ OPTION

DESCRIPTION

Quitter avec un code de retour déterminé par EXPRESSION

--help
    afficher l'aide-mémoire et quitter

--version
    afficher le nom et la version du logiciel et quitter

Une EXPRESSION omise est fausse par défaut. Sinon, EXPRESSION est évaluée comme vraie ou fausse, et détermine la valeur de retour. EXPRESSION doit être d'une des formes suivantes :

( EXPRESSION )
    EXPRESSION est vraie

! EXPRESSION
    EXPRESSION est fausse

EXPRESSION1 -a EXPRESSION2
    EXPRESSION1 et EXPRESSION2 sont vraies

EXPRESSION1 -o EXPRESSION2
    EXPRESSION1 ou EXPRESSION2 sont vraies

-n CHAÎNE
    la longueur de CHAÎNE est non nulle

CHAÎNE
    équivalent à -n CHAÎNE

-z CHAÎNE
    la longueur de la CHAÎNE est nulle

CHAÎNE1 = CHAÎNE2
    les deux chaînes sont égales

CHAÎNE1 != CHAÎNE2
    les deux chaînes sont différentes

ENTIER1 -eq ENTIER2
    ENTIER1 et ENTIER2 sont égaux

ENTIER1 -ge ENTIER2
    ENTIER1 est supérieur ou égal à ENTIER2

ENTIER1 -gt ENTIER2
    ENTIER1 est strictement supérieur à ENTIER2

ENTIER1 -le ENTIER2
    ENTIER1 est inférieur ou égal à ENTIER2

ENTIER1 -lt ENTIER2
    ENTIER1 est strictement inférieur à ENTIER2

ENTIER1 -ne ENTIER2
    ENTIER1 et ENTIER2 sont différents

FICHER1 -ef FICHIER2
    FICHIER1 et FICHIER2 ont les mêmes numéros de périphérique et d'inœud

FICHIER1 -nt FICHIER2
    la date de modification de FICHIER1 est plus récente que celle de FICHIER2

FICHIER1 -ot FICHIER2
    FICHIER1 est plus vieux que FICHIER2

-b FICHIER
    FICHIER existe, c'est un fichier spécial en mode bloc

-c FICHIER
    FICHIER existe, c'est un fichier spécial en mode caractère

-d FICHIER
    FICHIER existe, c'est un répertoire

-e FICHIER
    FICHIER existe

-f FICHIER
    FICHIER existe, c'est un fichier ordinaire

-g FICHIER
    FICHIER existe et a son bit set-GID positionné

-G FICHIER
    FICHIER existe et appartient au GID effectif de l'appelant

-h FICHIER
    FICHIER existe, c'est un lien symbolique (identique à -L)

-k FICHIER
    FICHIER existe, son bit collant (« sticky ») est positionné

-L FICHIER
    FICHIER existe, c'est un lien symbolique (identique à -h)

-N FICHIER
    FICHIER existe et a été modifié depuis sa dernière lecture

-O FICHIER
    FICHIER existe et appartient à l'UID effectif de l'appelant

-p FICHIER
    FICHIER existe, c'est un tube nommé

-r FICHIER
    FICHIER existe et est lisible

-s FICHIER
    FICHIER existe et a une taille non nulle

-S FICHIER
    FICHIER existe, c'est une socket

-t FD
    le descripteur de fichier FD est ouvert sur un terminal

-u FICHIER
    FICHIER existe et son bit setuid est positionné

-w FICHIER
    FICHIER existe et est accessible en écriture

-x FICHIER
    FICHIER existe et est exécutable (ou peut être parcouru dans le cas d'un répertoire)

Excepté -h et -L, tous les tests opérant sur des fichiers déréférencent les liens symboliques. Prenez garde au fait que les parenthèses doivent être protégées (par exemple par des barres obliques inverses) pour l'interpréteur de commandes. Un ENTIER peut également être « -l CHAÎNE », qui donne la longueur de la CHAÎNE.

NOTE : -a et -o binaires sont intrinsèquement ambigus. Utilisez plutôt « test EXPR1 && test EXPR2 » ou « test EXPR1 || test EXPR2 ».

NOTE : [ prend en charge les options --help et --version, mais test ne le fait pas. test les considère comme toute autre CHAÎNE non vide.

NOTE : votre interpréteur de commandes peut avoir sa propre version de test et/ou de [ qui remplace en général la version décrite ici. Veuillez vous référer à la documentation de votre interpréteur de commandes pour en connaître les options.

AUTEUR
Écrit par Kevin Braunsdorf et Matthew Bradburn.

SIGNALER DES BOGUES
Aide en ligne de GNU coreutils : <https://www.gnu.org/software/coreutils/>
Signaler toute erreur de traduction à <https://translationproject.org/team/fr.html>

COPYRIGHT
Copyright © 2020 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou ultérieure <https://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
Documentation complète : <https://www.gnu.org/software/coreutils/[>
aussi disponible localement à l’aide de la commande : info '(coreutils) test invocation'

TRADUCTION
La traduction française de cette page de manuel a été créée par Julien Cristau <jcristau@debian.org>, Nicolas François <nicolas.francois@centraliens.net>, Bastien Scher <bastien0705@gmail.com>, David Prévot <david@tilapin.org> et Jean-Pierre Giraud <jean-pierregiraud@neuf.fr> Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE. Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.